.modal_dialog {
    max-height: 80vh;
    max-width: calc(100vw - var(--rd-spacing-md));
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    background-color: var(--rd-font-light);
    /* box-shadow: 0em 0em 0.5em var(--cl-black); */
    padding: 24px;
    position: relative;
    border-radius: var(--rd-borderradius-border-lg);
}

.modal_dialog_closelink {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: var(--rd-primary-active);
    right: 0;
    top: 0;
    cursor: pointer;
    mask-size: contain;
    -webkit-mask-size: contain;
    mask-position: 50%;
    -webkit-mask-position: 50%;
    mask-image: url(/src/img/2023/svg/icons/rd-icon-close.svg);
    -webkit-mask-image: url(/src/img/2023/svg/icons/rd-icon-close.svg);
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    z-index: 1;
}

.modal_dialog_backlink {
    position: absolute !important;
    height: 20px;
    line-height: 20px;
    color: var(--rd-secondary-active);
    /* left: 24px; */
    /* top: 24px; */
    cursor: pointer;
    z-index: 1;
}

.modal_dialog_top_title {
    font-weight: var(--rd-fontweights-open-sans-1);
    background: var(--rd-font-light);
}

.modal_dialog_top_title .rd-subheadline {
    font-size: var(--rd-fontsize-3);
    line-height: 16px;
}

/* .modal_dialog>div {
    min-height: 1em;
} */

.modal_dialog_mid {
    overflow: auto;
    padding: 1em;
    min-width: 32em;
    max-width: 90vw;
}

.modal_dialog_mid .introContent {
    text-align: center;
}

.modal_dialog_mid .formfields {
    border: none;
}

.modal_dialog>div.modal_dialog_bottom {
    text-align: center;
    min-height: 3em;
}

.modal_dialog_bottom>a {
    float: none;
    min-width: 10em;
    display: inline-block;
    padding: var(--rd-spacing-x-sm);
    text-decoration: none;
    margin: 0.5em;
}

.modal_alert {
    padding: 2em 1em;
    font-size: 1rem;
    max-width: 42em;
    text-align: center;
}

.modal_alert .form_kv_value {
    text-align: left;
    margin-top: 0.25em;
}

.modal_alert .formlabel {
    min-width: 20em;
}

@media (max-width: 600px) {

    .modal_dialog {
        max-height: calc(100vh - var(--rd-spacing-md));
    }

    .modal_dialog_mid {
        overflow: auto;
        padding: 1em;
        min-width: 100%;
        max-width: 100%;
    }

    .modal_dialog_bottom {
        min-height: auto !important;

        >a {
            margin-left: 0 !important;
            margin-right: 0 !important;
        }
    }

    .modal_ground * {
        box-sizing: border-box;
    }
}